/// <reference types="node" />
import { Handle } from '@dojo/interfaces/core';
/**
 * Attaches an event to a Node.js EventEmitter and returns a handle for removing the listener later.
 *
 * @param emitter A Node.js EventEmitter object.
 * @param event The name of the event to listen for.
 * @param listener The event listener that will be invoked when the event occurs.
 * @returns A remove handle.
 */
export declare function on(emitter: NodeJS.EventEmitter, event: string | symbol, listener: Function): Handle;
/**
 * Returns true if a file or directory exists
 *
 * @param filename
 * @returns true if filename exists, false otherwise
 */
export declare function fileExists(filename: string): boolean;
/**
 * Writes data to a file.
 *
 * The file's parent directories will be created if they do not already exist.
 *
 * @param data
 * @param filename
 * @returns A Promise that resolves when the file has been written
 */
export declare function writeFile(data: any, filename: string): Promise<void>;
